//
//  AppDelegate.m
//  ScalingScrollView
//
//  Created by John Pannell on 8/3/18.
//  Copyright © 2018 Peach. All rights reserved.
//

#import "AppDelegate.h"
#import "PSMScalingImageView.h"

@interface AppDelegate ()

@property (weak) IBOutlet NSWindow *window;
@property (weak) IBOutlet NSScrollView *scrollView;
@property PSMScalingImageView *imgView;

@end

@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
    // Insert code here to initialize your application
    _imgView = [[PSMScalingImageView alloc] initWithFrame:NSMakeRect(0.0, 0.0, 836.0, 836.0)];
    NSImage *img = [NSImage imageNamed:@"panic"];
    [img setSize:NSMakeSize(1006.0, 1006.0)];
    [_imgView setImage:img];
    [[self scrollView] setDocumentView:_imgView];
    
}


- (void)applicationWillTerminate:(NSNotification *)aNotification {
    // Insert code here to tear down your application
}

// this is coming in through the responder chain
// sender is a menu item, I tagged them to discriminate
- (void)scaleMenuAction:(id)sender
{
    NSMenuItem *item = sender;
    NSInteger tag = [item tag];
    
    switch(tag) {
        case 0:
            [[self imgView] scaleToFit];
            break;
        case 1:
            [[self imgView] scaleFrameBy:0.5];
            break;
        case 2:
            [[self imgView] scaleFrameBy:1.0];
            break;
        case 3:
            [[self imgView] scaleFrameBy:2.0];
            break;
        default:
            break;
            
    }
}


@end
