//
//  PSMScalingImageView.m
//  ScalingScrollView
//
//  Created by John Pannell on 8/3/18.
//  Copyright © 2018 Peach. All rights reserved.
//

#import "PSMScalingImageView.h"

@implementation PSMScalingImageView

- (BOOL)isFlipped
{
    return YES;
}

- (void)scaleFrameBy:(float)scale
{
    NSSize imageSize = [[self image] size];
    
    NSAffineTransform *at = [NSAffineTransform transform];
    [at scaleBy:scale];
    [self setFrameSize:[at transformSize:imageSize]];
    [self setNeedsDisplay:YES];
}

- (void)scaleToFit
{
    float scale = 1.0;
    NSSize imageSize = [[self image] size];
    float heightFactor, widthFactor;
    
    heightFactor = [[self superview] frame].size.height/imageSize.height;
    widthFactor = [[self superview] frame].size.width/imageSize.width;
    if(heightFactor > widthFactor){
        scale = widthFactor;
    } else {
        scale = heightFactor;
    }
    [self scaleFrameBy:scale];
}

@end
